tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jacek Laskowski <jac...@lucent.com>
Subject [PATCH] tomcat.sh and TOMCAT_HOME
Date Thu, 27 Jul 2000 18:13:02 GMT
Hi,

Not very important, but helpful.

Jacek Laskowski

Index: tomcat.sh
===================================================================
RCS file: /home/cvspublic/jakarta-tomcat/src/shell/tomcat.sh,v
retrieving revision 1.18
diff -u -r1.18 tomcat.sh
--- tomcat.sh	2000/07/25 03:21:20	1.18
+++ tomcat.sh	2000/07/27 18:08:31
@@ -60,6 +60,12 @@
     exit 1
 fi
 
+# Check if TOMCAT_HOME really exists
+if [ ! -d "$TOMCAT_HOME" ] ; then
+	echo TOMCAT_HOME points to the non-existent directory
+	exit 1
+fi
+
 if [ "$TOMCAT_OPTS" = "" ] ; then
   TOMCAT_OPTS=""
 fi

Mime
View raw message